<?php

namespace A2G\A2gMaps\Domain\Traits;

use A2G\A2gMaps\Domain\Repository\MarkerRepository;

/**y
 * Description of InjectMarkerRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectMarkerRepositoryTrait {
    
    /**
     * 
     * @var MarkerRepository
     */
    protected $markerRepository = null;

    /**
     * @param MarkerRepository $markerRepository
     */
    public function injectMarkerRepository(MarkerRepository $markerRepository) {
        $this->markerRepository = $markerRepository;
    }

}
